Get a blog post
GET
/storefront/posts/{id}
const url = 'https://example.com/storefront/posts/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f';const options = { method: 'GET', headers: {cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/storefront/posts/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token>One post with its body, and the older addresses that still lead to it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Responses
Section titled “Responses”The post
Media typeapplication/json
object
id
required
UUID v7
string format: uuid
slug
required
string
title
required
string
excerpt
required
string
bodyHtml
required
string | null
coverKey
required
string | null
coverAlt
required
string
cover
required
object
alt
required
string | null
width
required
integer
height
required
integer
thumb
required
string
card
required
string
large
required
string
authorName
required
string
publishedOn
required
string | null format: date
tags
required
Array<string>
seoTitle
required
string
seoDescription
required
string
status
required
Draft: only the business sees it, in the preview. published: on the shop.
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
oldSlugs
required
Array<string>
Example
{ "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "status": "draft"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}The plan does not include a shop
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}No such post
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}